## NAME

g.version - Displays GRASS GIS version info.
Optionally also prints build or copyright information.

## KEYWORDS

general, support, citing, copyright, version, license

## SYNOPSIS

g.version
g.version --help
g.version [-cxbreg] [--help] [--verbose] [--quiet] [--ui]

### Flags:

-c
  Print also the copyright message
-x
  Print also the citation options
-b
  Print also the build information
-r
  Print also the GIS library revision number and date
-e
  Print also extended info for additional libraries
  GDAL/OGR, PROJ.4, GEOS
-g
  Print info in shell script style (including Git reference commit)
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

## DESCRIPTION

g.version prints to standard output the GRASS version number, date, the GRASS GIS copyright (-c flag), and GRASS build information (-b flag).

## NOTES

This program requires no command line arguments; the user simply types g.version on the command line to see the version number and date of the GRASS GIS software currently being run by the user.

Information about GRASS GIS core GIS Library can be printed by -r flag.

Version numbers of additional libraries like PROJ, GDAL/OGR or GEOS are printed by -e flag.

See also function `version()` from Python Scripting Library.

    import grass.script as gcore

    print gcore.version()

## EXAMPLES

### Basic info

    g.version

    GRASS 7.8.dev (2019)

### GIS Library info

    g.version -r

    GRASS 7.8.dev (2019)
    libgis Revision
    libgis Date

### Full info in shell script style

    g.version -rge

    version=7.8.dev
    date=2019
    revision=d4879d401
    build_date=2019-08-04
    build_platform=x86_64-pc-linux-gnu
    build_off_t_size=8
    libgis_revision=00000
    libgis_date="?"
    proj4=5.2.0
    gdal=2.3.2
    geos=3.7.1
    sqlite=3.26.0

## Citing GRASS GIS

The GRASS Development Team has invested significant time and effort in creating GRASS GIS, please cite it when using it for data analysis. The GRASS GIS Web site offers citations in different styles.

## AUTHORS

Michael Shapiro, U.S. Army Construction Engineering Research Laboratory
Extended info by Martin Landa, Czech Technical University in Prague, Czech Republic

Last changed: $Date$

## SOURCE CODE

Available at: g.version source code (history)

Main index | General index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual